K8s APIリソースを取得する
GET /accounts/{account_id}/topology/v1/managedClusters/{managedCluster_id}/apiResources/{apiResource_id}
JSON レスポンス本文で特定の API リソースを返します。
パラメータ
| Name | を入力します | 入力 | 必須 | 説明 |
|---|---|---|---|---|
account_id |
string |
path(パス) |
True |
包含するアカウントリソースのID
|
managedCluster_id |
string |
path(パス) |
True |
包含するmanagedClusterリソースのID |
apiResource_id |
string |
path(パス) |
True |
リストするapiResourceコレクションのID |
応答
Status: 200, Returns the specific API resource in the JSON response body.
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
リソースのメディアタイプ。定義された値は次のとおりです:
|
バージョン |
string |
True |
リソースのバージョン。定義された値は次のとおりです:
|
ID |
string |
True |
リソースのグローバル一意識別子。定義された値は次のとおりです:
|
apiVersion |
string |
True |
Kubernetesで設定された、またはKubernetesによって設定された、リソースのAPIバージョンを表すJSON文字列。APIVersionは、このオブジェクト表現のバージョン管理されたスキーマを定義します。サーバーは、認識されたスキーマを最新の内部値に変換し、認識されない値を拒否する可能性がある。詳細情報(:) https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources |
種類 |
string |
True |
Kubernetesで設定された、またはKubernetesによって設定されたリソースの種類を表すJSON文字列。kindフィールドはキャメルケースを使用し、このオブジェクトが表すRESTリソースを表す文字列値を含みます。サーバーは、クライアントがリクエストを送信するエンドポイントからこれを推測する可能性があります。更新できません。詳細情報(:) https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds |
メタデータ |
True |
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
|
回答例
{
"type": "application/astra-apiResource",
"version": "1.0",
"id": "e280ff62-be35-4f31-a31b-a210a1ad1b33",
"kind": "ClusterRole",
"apiVersion": "rbac.authorization.k8s.io/v1",
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
応答
Status: 401, Unauthorized
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
応答
Status: 400, Bad request
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
配列["invalidParams"] |
False |
無効なクエリパラメータのリスト |
回答例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
応答
Status: 403, Forbidden
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
エラー
Status: 404, Not found
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
エラー応答の例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
用語の意味
定義を参照
type_astra_label
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
|
Value |
string |
True |
type_astra_metadata
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
-
Astraメタデータスキーマに準拠
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
ラベル |
True |
||
作成タイムスタンプ |
string |
True |
|
modificationTimestamp |
string |
True |
|
作成者 |
string |
True |
|
modifiedBy |
string |
False |
invalidParams
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
無効なクエリパラメータの名前 |
理由 |
string |
True |
クエリパラメータが無効な理由 |